Galon Cloud
Galon API v1

/deploy/env

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /deploy/env

Get environment variables

Scope deploy:create. Served only when Galon Deploy is open to the account (404 otherwise). Errors {"detail": {"code"}}. Names of all variables, values of public variables only; a secret never has a value.

API key (Bearer), on the public API endpoint.

Responses

StatusDescriptionBody
200Variables (galon.deploy.env.v1)object
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/deploy/env" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.deploy.env();

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.deploy.env()